Skip to main content
`Ctrl`+`K`

# PetscObjectComposedDataSetIntstar

attach `PetscInt` array data to a `PetscObject` that may be accessed later with `PetscObjectComposedDataGetIntstar()`

## Synopsis

    #include "petsc/private/petscimpl.h"
    PetscErrorCode PetscObjectComposedDataSetIntstar(PetscObject obj, PetscInt id, PetscInt *data)

Not Collective

## Input Parameters

- obj - the object to which data is to be attached

- id - the identifier for the data

- data - the data to be attached, a `PetscInt` array

## Notes

The `data` identifier can be determined through a call to `PetscObjectComposedDataRegister()`

The length of the array accessed must be known, it is not available through this API.

## See Also

`PetscObjectComposedDataSetInt()`, `PetscObjectComposedDataGetReal()`, `PetscObjectComposedDataSetReal()`, `PetscObjectComposedDataGetIntstar()`, `PetscObjectComposedDataGetInt()`, `PetscObject`, `PetscObjectCompose()`, `PetscObjectQuery()`

## Level

developer

## Location

include/petsc/private/petscimpl.h

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages